#define BLYNK_PRINT Serial //     
#ifndef UNIT_TEST
#include <Arduino.h>
#endif
#include <IRremoteESP8266.h> //       
#include <IRrecv.h>
#include <IRutils.h>

#include <ESP8266WiFi.h> //  
#include <BlynkSimpleEsp8266.h> //   

char auth[] = "_"; //  

char ssid[] = "SSID_"; //  
char pass[] = " "; //  

const uint16_t kRecvPin = 0; // D3  NodeMCU
String code = "FFFFFFFF";

IRrecv irrecv(kRecvPin);

decode_results results;


void setup()
{
  Serial.begin(9600);
  Blynk.begin(auth, ssid, pass);
  Serial.begin(115200);
  irrecv.enableIRIn();  // Start the receiver
  while (!Serial)  // Wait for the serial connection to be establised.
    delay(50);
  Serial.println();
  Serial.print("IRrecvDemo is now running and waiting for IR message on Pin ");
  Serial.println(kRecvPin);

}


void loop() {
  Blynk.run();

  if (irrecv.decode(&results)) {
    serialPrintUint64(results.value, HEX);
    Serial.println("");
    irrecv.resume();  // Receive the next value
    code = uint64ToString(results.value,HEX);
    Blynk.virtualWrite(V30,uint64ToString(results.value,HEX)); //    30
  }
  delay(100);
}
