#define BLYNK_PRINT Serial //     
#ifndef UNIT_TEST
#include <Arduino.h>
#endif
#include <IRremoteESP8266.h>
#include <IRutils.h>
#include <IRsend.h>

#include <ESP8266WiFi.h> //  
#include <BlynkSimpleEsp8266.h> //   

#define IR_LED D2  // ESP8266 GPIO pin to use. Recommended: 4 (D2).

IRsend irsend(IR_LED);


char auth[] = "___blynk"; //  
char ssid[] = "SSID_wifi_"; //  
char pass[] = "_wifi_"; //  

decode_results results;
      
BLYNK_WRITE(V0) { //  0
  int pinValue = param.asInt();
  if (pinValue==1)irsend.sendNEC(0xFFFFFFF, 32); // FFFFFFF     -
}
BLYNK_WRITE(V1) { //  1
  int pinValue = param.asInt();
  if (pinValue==1)irsend.sendNEC(0xFFFFFFF, 32); // FFFFFFF     -
}


void setup()
{
  Serial.begin(9600);
  irsend.begin();
  Blynk.begin(auth, ssid, pass);
  Serial.begin(115200);
}


void loop() {
  Blynk.run(); // 
}
